// webpack.config.js
const path = require('path');

module.exports = {
  entry: './src/CommonComponent.js', // Entry point of your component
  output: {
    path: path.resolve(__dirname, 'dist'), // Output directory
    filename: 'index.js', // Output file name
    library: 'CommonComponent', // Name of the library
    libraryTarget: 'umd', // Universal Module Definition format
    globalObject: 'this', // Ensures compatibility with different environments
  },
  module: {
    rules: [
      {
        test: /\.(js|jsx)$/, // Process .js and .jsx files
        exclude: /node_modules/, // Exclude node_modules
        use: {
          loader: 'babel-loader',
          options: {
            presets: ['@babel/preset-env', '@babel/preset-react'],
          },
        },
      },
    ],
  },
  resolve: {
    extensions: ['.js', '.jsx'], // Resolve these extensions
  },
  externals: {
    react: 'react', // Exclude React from the bundle
    'react-dom': 'react-dom', // Exclude ReactDOM from the bundle
    axios: 'axios', // Exclude Axios from the bundle
  },
};
